liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::SpreadSheet Struct Reference

`#include <OriginObj.h>`

Inheritance diagram for Origin::SpreadSheet:

## Public Member Functions
| SpreadSheet (const string &_name="")
Public Member Functions inherited from Origin::Window
| Window (const string &_name="", const string &_label="", bool _hidden=false)

## Public Attributes
vector< SpreadColumn > | columns
bool | loose
unsigned int | maxRows
bool | multisheet
unsigned int | sheets
Public Attributes inherited from Origin::Window
time_t | creationDate
Rect | frameRect
bool | hidden
string | label
time_t | modificationDate
string | name
int | objectID
State | state
Title | title

## Additional Inherited Members
Public Types inherited from Origin::Window
enum | State { Normal , Minimized , Maximized }
enum | Title { Name , Label , Both }

## Constructor & Destructor Documentation

## ◆ SpreadSheet()

Origin::SpreadSheet::SpreadSheet | ( | const string & | _name = `""` | ) |
| inline

## Member Data Documentation

## ◆ columns

vector<SpreadColumn> Origin::SpreadSheet::columns

Referenced by main().

## ◆ loose

bool Origin::SpreadSheet::loose

## ◆ maxRows

unsigned int Origin::SpreadSheet::maxRows

Referenced by main().

## ◆ multisheet

bool Origin::SpreadSheet::multisheet

## ◆ sheets

unsigned int Origin::SpreadSheet::sheets

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h